Subject: Re: linux-next: Tree for Jan 23 (pch_uart.c)

From: Liang Li <[email-masked]>
Date: Thu, 24 Jan 2013 10:30:54 +0800

On 2013-01-24 10:06, Stephen Rothwell <[email-masked]> wrote:
> On Wed, 23 Jan 2013 15:28:38 -0800 Randy Dunlap <[email-masked]> wrote:
> >
> > on i386:
> > 
> >   CC [M]  drivers/tty/serial/pch_uart.o
> > drivers/tty/serial/pch_uart.c: In function 'pch_uart_hal_read':
> > drivers/tty/serial/pch_uart.c:572:11: error: 'struct uart_port' has no member named 'sysrq'
> > make[4]: *** [drivers/tty/serial/pch_uart.o] Error 1
> > 
> > 
> > 
> > when SERIAL_PCH_UART_CONSOLE is not enabled.
> 

Seems so .. but I have SERIAL_PCH_UART_CONSOLE and MAGIC_SYSRQ off
both .. then still has no issue on my side. So I guess that is because
I have CONFIG_SERIAL_CORE_CONSOLE then it works here:

#if defined(CONFIG_SERIAL_CORE_CONSOLE) || defined(SUPPORT_SYSRQ)
	unsigned long		sysrq;			/* sysrq timeout */
#endif

In serial_core.h.

> Caused by commit 1f9db0921f21 ("pch_uart: add sysrq support") from the
> tty tree. (added cc's)
> 

Sorry, I think we need the below fix to work with
'CONFIG_SERIAL_CORE_CONSOLE is not set' && 'PCH_UART_CONSOLE is not
set' case:

diff --git a/drivers/tty/serial/pch_uart.c b/drivers/tty/serial/pch_uart.c
index c5ee7d45..4771aac 100644
--- a/drivers/tty/serial/pch_uart.c
+++ b/drivers/tty/serial/pch_uart.c
@@ -573,10 +573,12 @@ static int pch_uart_hal_read(struct eg20t_port *priv, unsigned char *buf,
 			if (uart_handle_break(port))
 				continue;
 		}
+#ifdef SUPPORT_SYSRQ
 		if (port->sysrq) {
 			if (uart_handle_sysrq_char(port, rbr))
 				continue;
 		}
+#endif
 
 		buf[i++] = rbr;
 	}

---

Should I add a fix for the compile error .. or do squash then send out
refreshed patch ?

Best regards,
Liang Li

> -- 
> Cheers,
> Stephen Rothwell                    [email-masked]